Bug 39422 - Changes are displayed incorrectly in MS Word 2007
Summary: Changes are displayed incorrectly in MS Word 2007
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.4.1 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-21 04:55 UTC by Ildiko Molnar
Modified: 2019-12-18 06:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Changes.odt (8.86 KB, application/vnd.oasis.opendocument.text)
2011-07-21 04:55 UTC, Ildiko Molnar
Details
Changes.doc (9.00 KB, application/msword)
2011-07-21 04:56 UTC, Ildiko Molnar
Details
The sample document, saved as ODF 1.1 (!) file with LibreOffice 3.5.3.2 (8.65 KB, application/vnd.oasis.opendocument.text)
2012-05-07 07:24 UTC, Roman Eisele
Details
How the sample file saved as ODF 1.1 file looks in MS Office 2010 (163.87 KB, image/png)
2012-05-07 08:21 UTC, Roman Eisele
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ildiko Molnar 2011-07-21 04:55:29 UTC
Created attachment 49369 [details]
Changes.odt

Our system:
Windos XP SP3 Hungarian
Libre Office Writer 3.4.1 OOO340m1 (Build:103)

1. Create a document in LibreOffice.
2. Use Changes (Edit/Changes/Record) – insert and delete few letters.
3. Save it with odt extension.
4. Open it in Windows Word 2007 . 
You can not see the deleted letters.

If you save it as doc extension you can see it correctly in Word.
Our customer'd like to use LibreOffice but their partners use MS Office.

You can see and use it change.odt and change.doc
Comment 1 Ildiko Molnar 2011-07-21 04:56:59 UTC
Created attachment 49370 [details]
Changes.doc
Comment 2 Björn Michaelsen 2011-12-23 12:22:14 UTC
[This is an automated message.]
This bug was filed before the changes to Bugzilla on 2011-10-16. Thus it
started right out as NEW without ever being explicitly confirmed. The bug is
changed to state NEEDINFO for this reason. To move this bug from NEEDINFO back
to NEW please check if the bug still persists with the 3.5.0 beta1 or beta2 prereleases.
Details on how to test the 3.5.0 beta1 can be found at:
http://wiki.documentfoundation.org/QA/BugHunting_Session_3.5.0.-1

more detail on this bulk operation: http://nabble.documentfoundation.org/RFC-Operation-Spamzilla-tp3607474p3607474.html
Comment 3 sasha.libreoffice 2012-01-30 03:03:58 UTC
reproduced with files, created in LibO 3.6.0 master and 3.3.4 on Fedora 64 bit
and opened in MSWord 2007 on Windows XP 32 bit
can not find working validation site to validate produced odt
Comment 4 sasha.libreoffice 2012-01-30 03:07:33 UTC
MSWord 2007 also can not save changes in odt
Comment 5 Roman Eisele 2012-05-06 04:43:31 UTC
This is a Writer issue, therefore changed the 'Component' field accordingly.

@Experienced people (ODT experts):
Could this problem be caused by the fact that MS Office only understands ODF 1.1, but LibreOffice uses 1.2 now?! If so, this would be NOTOURBUG ...

@Ildiko Molnar / @sasha:
Could you try if saving the ODT file as ODT/ODF version 1.1 helps, i.e. makes MS Office see the missing letters? To save your file in ODT/ODV version 1.1, open the LibreOffice preferences, switch to 'Load/Save', then to 'General', and select '1.0/1.1' as ODF format version. Then save the file again as .odt file.

Just an idea, but maybe it helps ...
Comment 6 sasha.libreoffice 2012-05-07 03:07:28 UTC
Site http://odf-validator.rhcloud.com/ complains on this:

changes.odt/styles.xml[2,10890]: Error: unexpected attribute "style:layout-grid-snap-to-characters"

msWord 2007 can not save recorded changes and can not open

So, may close
Comment 7 Roman Eisele 2012-05-07 07:19:13 UTC
@sasha:
Thanks for testing the ODF validity!

A sidenote:
The validator at http://odf-validator.rhcloud.com/ states that the sample document 'Changes.odt' is a ODF 1.2 document, and I would conclude the same from the contents of the .odt file if I view it with a text editor. This seems to affirm my idea (comment #5) that the problems MS Office has with this file are caused by the ODF version used -- MS Office doesn't understand ODF 1.2, only 1.1.

To proof this, I will try out the workaround I suggested in comment #5 ...
Comment 8 Roman Eisele 2012-05-07 07:24:56 UTC
Created attachment 61140 [details]
The sample document, saved as ODF 1.1 (!) file with LibreOffice 3.5.3.2

For additional testings, I saved the sample document 'changes.odt' again, but in ODF 1.1 file format. Using LibreOffice 3.5.3.2.
Comment 9 sasha.libreoffice 2012-05-07 08:09:03 UTC
And it opens in msWord 2007 without recorded changes
Comment 10 Roman Eisele 2012-05-07 08:18:41 UTC
Testing with MS Office 2010 (Word 2010) on Windows 7, both German UI, I get the following results:

* I can't open the original sample document 'Changes.odt' at all; just like Sasha in comment #6 told for Word 2007, Word just complains that it can't open that file. This is correct and NOT a bug, especially not a bug in LibreOffice: MS Office just can't read ODF 1.2 files, and the original sample document is a ODF 1.2 file, see my comment #7. (I don't know how the original reported managed to open his sample .odt file with Word 2007 at all ;-)

* But I can open my copy of the sample document, saved again as ODF 1.1 (!) file with LibreOffice 3.5.3.2, without any problems! I will attach a screenshot to show how my copy of the sample file looks in MS Word 2010. For me it looks *exactly* like the original sample document 'Changes.odt' looks in LibreOffice: all text changes are applied. Fine! So I can't reproduce the problem the original report was about.

* At the moment, I can't get Word 2010 to display the recorded textual changes en detail, it just shows the result of all changes, but for two reasons this is a minor issue. First, the main problem the original report was about is gone: the final version of the text is displayed, not some intermediate version. Second, this may be indeed a problem with MS Word; maybe it is just not able to show recorded changes in ODF files. Some MS Word expert may tell us, not me.

Results:
If I don't miss some very minor but important point (then please tell me!), this issue is NOT A BUG at all. It is just a misunderstanding. MS Office 2007 and 2010 are able to open ODF files (.odt for text, .ods for spreadsheets etc.), but just ODF version 1.0/1.1 files, not the up-to-date ODF version 1.2 or 1.2 extended files. Therefore, if you want to exchange text documents with MS Office applications in ODF file format, you have to change your LibreOffice application preferences to use the old ODF 1.0/1.1 file format instead of 1.2 or 1.2 extended (see comment #5). That's it ;-)

I take the liberty to close this bug as RESOLVED/NOTABUG. Feel free to re-open it if this issue is still a problem for you, but then please explain carefully why it is still a problem, i.e. what I missed about it ;-)
Comment 11 Roman Eisele 2012-05-07 08:21:31 UTC
Created attachment 61141 [details]
How the sample file saved as ODF 1.1 file looks in MS Office 2010
Comment 12 sasha.libreoffice 2012-05-07 08:31:01 UTC
> Sasha in comment #6 told for Word 2007, Word just complains that it can't open
> that file.
In my case msOffice 2007 opens all odf files. Just asks 2 times if we sure.
But Word 2007 opens attachment without recorded changes. Just text.
> This is correct and NOT a bug, especially not a bug in LibreOffice
It is bug in Word 2007, therefore NotOurBug, but still a bug
> MS Office just can't read ODF 1.2 files
It dislikes only version number. Contents in most cases (not in all though) opens without problem.

What is interesting: msWord 2007 also opens ods and odp files, bug all contents becomes on one page.
Comment 13 Roman Eisele 2012-05-07 08:52:16 UTC
@Sasha:
(In reply to comment #12)
> > Sasha in comment #6 told for Word 2007, Word just complains that it can't
> > open that file.
> In my case msOffice 2007 opens all odf files. Just asks 2 times if we sure.
> But Word 2007 opens attachment without recorded changes. Just text.

Sasha, sorry for ascribing a wrong sentence to you! Thank you for correcting me! So, the facts are:
* MS Office 2007 opens all ODF files, but with some problems (tested by Sasha)
* MS Office 2010 opens only ODF 1.1 files and doesn't open ODF 1.2 (extended) files (at least on the machine I used for the test ;-).

Therefore, the advise I gave in my comment #5 and comment #10 (configure LibreOffice to use ODF 1.1 if you want to exchange .odt etc. files with MS Office) is true if you want to exchange files with MS Office 2010, but not necessary if you want to exchange files with MS Office 2007. Have I got it right finally? ;-)

> > This is correct and NOT a bug, especially not a bug in LibreOffice
> It is bug in Word 2007, therefore NotOurBug, but still a bug.

Ah, OK, I see you are right here again! So thank you for changing from NOTABUG to NOTOURBUG!

I always thought the main problem was that MS Office did not display the final version of the text correctly, and then the fact that it does not change the recorded changes en detail seemed just minor to me. I was affirmed in this wrong view by the fact that my MS Office 2010 installation did not open the original .odt sample file at all. But if the main problem was simply the fact that MS Office 2007 DID open the .odt sample file, but did NOT show the changes en detail, there is indeed a bug here. But, as Sasha states, not our bug, but a bug in MS Office.

So, while I was talking about misunderstandings in my brave comment #10, I was myself in the state of misunderstanding ;-) Sorry for any inconvenience this may have caused for anybody! But at least, I know more about the complicated ODF/LibreOffice/MS Office interaction now, and maybe someone else too ;-)
Comment 14 sasha.libreoffice 2012-05-07 08:59:33 UTC
> Have I got it right finally? ;-)
Yes.

Ps: Interesting, what will happens if we change version of document inside of odt manually. May be then msOffice 2010 will open it?
Comment 15 Tamas Szabo 2019-12-18 06:30:09 UTC
MS Office not implemented yet.(In reply to sasha.libreoffice from comment #14)
> > Have I got it right finally? ;-)
> Yes.
> 
> Ps: Interesting, what will happens if we change version of document inside
> of odt manually. May be then msOffice 2010 will open it?
Old Hungarian users don't use MS Office. For example, AbiWord is better for them. The keyboard problem is reality.